### Virtual Method

# Gdk ContentProvider ref_storable_formats

#### Declaration [src]

    GdkContentFormats*
    ref_storable_formats (
      GdkContentProvider* provider
    )

#### Description [src]

Gets the formats that the provider suggests other applications to store the data in.

An example of such an application would be a clipboard manager.

This can be assumed to be a subset of gdk_content_provider_ref_formats().

Gets property | `Gdk.ContentProvider:storable-formats`

#### Return value

Returns: | `GdkContentFormats`
| The storable formats of the provider.
| The caller of the function takes ownership of the data, and is responsible for freeing it.